// JavaScript Document
  ieGo();
function ieGo(){ 
        var ie = !-[1,];  
        if(ie == true) {
            var ua = navigator.userAgent.toLowerCase();
            var version = parseInt(ua.match(/msie ([\d.]+)/)[1]);
            if(version <= 6) {
                location.href='http://www.ycwebs.com'; 
            }
        }
}




function xbtn(obj,back_y)
	{
		
		$(obj).each(function(){
			var this_event=null;
			$(this).addClass("xbtn").html($(this).html()+"<span class='xbtn_span'></span>");
			var xy;
			if( $(this).css('background-position') == undefined)
			{
				xy=[$(this).css('background-position-x'),$(this).css('background-position-y')];
			}
			else
			{
				xy=$(this).css('background-position').split(' ');
			}

			$('.xbtn_span' , this).css({
				'background-image':$(this).css('background-image'),
				'background-position': xy[0]+' '+back_y
			}).hover(function(){
					var obj= this;
					function go()
					{
						
						var v=$(obj).css('opacity')-0+0.1;
						
						if( v <=1 && this_event=='in')
						{
							if (v>0.9)
							{
								v=1;
							}
							$(obj).css({
								'opacity':v,
								'filter':'alpha(opacity='+(v*100)+')'
							});
							setTimeout(go,50);
						}
					}
					this_event='in';
					go();
					
			},function(){
			
					var obj= this;
					function go()
					{
						var v=$(obj).css('opacity')-0.1;
						if(v<0.1){v=0;}
						if( v >=0 && this_event=='out')
						{		
							$(obj).css({
								'opacity':v,
								'filter':'alpha(opacity='+(v*100)+')'
							});
							
							setTimeout(go,50);
							
						}
					}
					this_event='out';
					go();
			});
			
			
		});
		
	}
$(function(){
	
	xbtn(".header .btn1,.header .btn2,.header .btn3,.header .btn4,.header .btn5",'-65px');
	xbtn(".out .btn1,.out .btn2,.out .btn3,.out .btn4,.out .btn5",'-93px');
	xbtn(".logo",'-65px');
	xbtn(".fenlei,.fenlei1,.fenlei2,.fenlei3,.fenlei4,.fenlei5",'-96px');
	xbtn(".message,.message1,.message2",'-208px');
	
	$(document).mousemove(function(e) {
		var offset=$(document).width()/2-e.clientX;
		$(".banner").css({"background-position":( ($(document).width()-1266)/2+offset/4 +10 )+"px 0px"});
		
	});

	function foot_scroll()
	{
		if($(document).scrollTop() < ($(document).height()-$(window).height())*0.7 )
		{
			$('.footer').animate({'bottom':'-278px'},800,function(){setTimeout(foot_scroll,500);});
		}
		else
		{
			$('.footer').animate({'bottom':'0px'},800,function(){setTimeout(foot_scroll,500);});
		}
	}
	foot_scroll();
	
	 

		
});

$(function(){
	function showPop(index)
	{
		
		$('.pop_body_dialog').css({
				'background':"url(/inc/img/pop"+index+".png)"
		});
		
		$('.pop_body_dialog #span').html( $('#pop_text'+index).html() );
		
		var y= ($(window).height()-419)/2 ;
		
		$('.pop_body').css({'top':y+'px'});
		$('.pop_bg,.pop_body').stop().fadeIn(); 
		
	}
	
	$('.box1_m a').click(function(){
		for(var i=1;i<7;i++)
		{
			if( $(this).hasClass('btn'+i))
			{
				showPop(i);
				return;
			}
		}
	});
	$(".pop_body_dialog .btn").click(function(){
		$('.pop_bg,.pop_body').stop().fadeOut();
	});
	
	xbtn(".box1_m .btn1,.box1_m .btn2,.box1_m .btn3,.box1_m .btn4,.box1_m .btn5,.box1_m .btn6",'-126px');
	xbtn(".recommend_read_more",'-73px');
	xbtn("#label3",'-49px');
	xbtn(".pop_body_dialog .btn",'-14px');
	
	var banner_index=1;
	function banner_timer()
	{
		
		changeBanner(banner_index);
		banner_index++;
		if(banner_index==4)
		{
			banner_index=1;
		}
		setTimeout(banner_timer,5000);
	};
	banner_timer();
	
	function changeBanner(_i)
	{
		var w=$('.shows:first').width();
		for(var i=1;i<4;i++)
		{
			if( i==_i)
			{
				$('.banner .button a.btn'+i).addClass('btn'+i+'_fire');
			}
			else
			{
				$('.banner .button a.btn'+i).removeClass('btn'+i+'_fire');
			}		
			$('#shows'+i).stop().animate({'left':  ((i-_i)*w)+'px' },500,function(){$(this).show();});
		}
		
	}
	$('.banner .button a').click(function(){
		for(var i=1;i<4;i++)
		{
			if( $(this).hasClass('btn'+i))
			{
				banner_index=i;
				changeBanner(i);
				return;
			}
			
		}
	});
	
	$('.show').css({'width': ($(document).width()*3)+'px'} );
	
	$(".case li").hover(function(){
				$('.case_w',this).stop().animate({"bottom":"0px"},400);	
				$(".x",this).stop().css({'top':'50px'}).animate({'top':"70px"},400).show();
				$(".y",this).stop().css({'top':'50px'}).animate({'top':"70px"},400).show();
				$('.fire',this).show();
			},function(){
				$('.case_w',this).stop().animate({"bottom":"0px"},400);
				$('.fire, .x, .y',this).hide();
			});	
	
});
